Loading...
Searching...
No Matches
snd_tplg_ctl_template Struct Reference
Topology Interface

Template type for control objects. More...

`#include <topology.h>`

Collaboration diagram for snd_tplg_ctl_template:
[legend]

## Data Fields

int | type
const char * | name
int | access
struct snd_tplg_io_ops_template | ops
union { |
struct snd_tplg_tlv_template * tlv |
struct snd_tplg_tlv_dbscale_template * tlv_scale |
}; |  |

## Detailed Description

Template type for control objects.

## Field Documentation

## access

int snd_tplg_ctl_template::access

Control access

## name

const char* snd_tplg_ctl_template::name

Control name

## ops

struct snd_tplg_io_ops_template snd_tplg_ctl_template::ops

operations

## tlv

struct snd_tplg_tlv_template* snd_tplg_ctl_template::tlv

non NULL means we have TLV data

## tlv_scale

struct snd_tplg_tlv_dbscale_template* snd_tplg_ctl_template::tlv_scale

scale TLV data

## type

int snd_tplg_ctl_template::type

Control type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-V2R1wV/alsa-lib-1.2.11/include/topology.h